/**
 * @author v_wangyan
 * @date 2012-10-30
 */
var rabbit = {
	buttonstatus:{
		'0':{
			'id':"language",			
			'0':'english.png',
			'1':'chinese.png',
			'2':'capslock.png'			
		},
		'1':{	
			'id':"characters",		
			'0':'half.png',
			'1':'full.png'			
		},
		'2':{
			'id':"punctuation",
			'0':'en_punctuation.png',
			'1':'cn_punctuation.png',
		},
		'3':{
			'id':"keyboard.png"
		},
		'4':{
			'id':"login",
			'0':'logout.png',
			'1':'login.png'
		},
		'5':{
			'id':"setting.png"
		}
	},
	animations: {
		'nomal': {
			duration: -1,
			className: 'nomal',
			childNode: ['hands pos', 'rabbit pos']			
		},
		'eat':{
			duration: 1500,
			className: 'eat pos',			
			delay:{
				num: 0,
				time: 400,
				className: 'eating'
			}
		},
		'cry':{
			duration: 1500,
			className: 'cry',
			childNode: ['hands pos', 'rabbit pos']			
		},
		'sleep':{
			duration: 2400,
			className: 'tosleep',
			childNode: ['hands pos', 'sleep pos']			
		},
		'sigh':{
			duration: 1000,
			className: 'tosigh',
			childNode: ['hands pos', 'sigh pos']	
		},
		'laugh':{
			duration: 1200,
			className:'tolaugh',
			childNode: ['hands pos', 'laugh pos'],
			delay:{
				num: 2,
				time: 100,
				className: 'laughing'
			}
		},
		'drink':{
			duration: 1500,
			className: 'drink pos',
			delay: {
				num: 0,
				time: 500,
				className: 'drinking'
			}
		},
		'kiss':{
			duration: 1400,
			className: 'kiss',
			childNode: ['kiss-heart pos', 'kiss-rabbit pos','hands pos'],
			delay:{
				num: 2,
				time: 500,
				className: 'kiss-ing'
			}
		}		
	},
	animationMap:{
		'吃':'eat',
		'喝':'drink',
		'睡':'sleep',
		'困':'sleep',
		'哈欠':'sleep',
		'呜呜':'cry',
		'哇哇':'cry',
		'哭':'cry',
		'哽咽':'cry',
		'呵呵':'laugh',
		'哈哈':'laugh',
		'嘿嘿':'laugh',
		'吼吼':'laugh',
		'笑':'laugh',
		'亲亲':'kiss',
		'亲爱的':'kiss',
		'么么':'kiss',
		'波波':'kiss',
		'叹气':'sigh',
		'哎':'sigh',
		'唉':'sigh'
	}
}